Bug 478901 - virt-install causes denials when trying to install a new kvm guest
virt-install causes denials when trying to install a new kvm guest
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 16:48 EST by Jesse Keating
Modified: 2013-01-09 22:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-19 11:45:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-01-05 16:48:07 EST
Jan  5 16:38:47 reducto kernel: type=1400 audit(1231191527.171:18): avc:  denied  { read write } for  pid=4277 c
omm="qemu-kvm" name="ptmx" dev=tmpfs ino=445 scontext=unconfined_u:system_r:qemu_t:s0 tcontext=system_u:object_r
:ptmx_t:s0 tclass=chr_file
Jan  5 16:38:47 reducto kernel: type=1400 audit(1231191527.172:19): avc:  denied  { open } for  pid=4277 comm="q
emu-kvm" name="ptmx" dev=tmpfs ino=445 scontext=unconfined_u:system_r:qemu_t:s0 tcontext=system_u:object_r:ptmx_
t:s0 tclass=chr_file
Jan  5 16:38:47 reducto kernel: type=1400 audit(1231191527.173:20): avc:  denied  { ioctl } for  pid=4277 comm="
qemu-kvm" path="/dev/ptmx" dev=tmpfs ino=445 scontext=unconfined_u:system_r:qemu_t:s0 tcontext=system_u:object_r
:ptmx_t:s0 tclass=chr_file
Jan  5 16:38:47 reducto kernel: type=1400 audit(1231191527.173:21): avc:  denied  { getattr } for  pid=4277 comm
="qemu-kvm" path="/dev/pts/2" dev=devpts ino=4 scontext=unconfined_u:system_r:qemu_t:s0 tcontext=unconfined_u:ob
ject_r:devpts_t:s0 tclass=chr_file
Jan  5 16:38:47 reducto kernel: type=1400 audit(1231191527.174:22): avc:  denied  { read write } for  pid=4277 c
omm="qemu-kvm" name="2" dev=devpts ino=4 scontext=unconfined_u:system_r:qemu_t:s0 tcontext=unconfined_u:object_r
:devpts_t:s0 tclass=chr_file
Jan  5 16:38:47 reducto kernel: type=1400 audit(1231191527.175:23): avc:  denied  { open } for  pid=4277 comm="q
emu-kvm" name="2" dev=devpts ino=4 scontext=unconfined_u:system_r:qemu_t:s0 tcontext=unconfined_u:object_r:devpt
s_t:s0 tclass=chr_file
Jan  5 16:38:47 reducto kernel: type=1400 audit(1231191527.176:24): avc:  denied  { ioctl } for  pid=4277 comm="
qemu-kvm" path="/dev/pts/2" dev=devpts ino=4 scontext=unconfined_u:system_r:qemu_t:s0 tcontext=unconfined_u:obje
ct_r:devpts_t:s0 tclass=chr_file

This came from the command line of:

$ sudo virt-install -b br0 --vnc --pxe -v --os-type=linux --os-variant=fedora10 -r 1024 -n sigul --disk path=/dev/data/signserv
Comment 1 Daniel Walsh 2009-01-13 10:42:53 EST
Miroslav add

term_use_generic_ptys(qemu_t)
term_use_ptmx(qemu_t)

To F10 policy
Comment 2 Miroslav Grepl 2009-01-21 07:44:14 EST
Fixed in selinux-policy-3.5.13-40.fc10.noarch
Comment 3 Bug Zapper 2009-06-09 06:35:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Miroslav Grepl 2009-08-19 11:45:40 EDT
It was fixed in F10 selinux-policy, so I am changing back to F10 and closing it.

Note You need to log in before you can comment on or make changes to this bug.